package com.foreverwin.mesnac.equip.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * <p>
 * 设备状态表-接口
 * </p>
 *
 * @author pavel.Liu
 * @since 2021-07-13
 */

@TableName("Z_RESOURCE_STATUS_RECEIVE")

public class ResourceStatusReceive extends Model<ResourceStatusReceive> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 站点
     */
   @TableField("SITE")
   private String site;
    /**
     * 设备编号
     */
   @TableField("RESRCE")
   private String resrce;
    /**
     * 当前状态
     */
   @TableField("STATUS")
   private String status;
    /**
     * 当前状态获取时间
     */
   @TableField("DATE_TIME")
   private LocalDateTime dateTime;
    /**
     * 接收的状态
     */
   @TableField("CHANGE_STATUS")
   private String changeStatus;
    /**
     * 接收时间
     */
   @TableField("CHANGE_DATE_TIME")
   private LocalDateTime changeDateTime;
    /**
     * 间隔时间
     */
   @TableField("INTERVAL_TIME")
   private Double intervalTime;
    /**
     * 创建人
     */
   @TableField("CREATE_USER")
   private String createUser;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 修改人
     */
   @TableField("MODIFY_USER")
   private String modifyUser;
    /**
     * 修改时间
     */
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getResrce() {
      return resrce;
   }

   public void setResrce(String resrce) {
      this.resrce = resrce;
   }

   public String getStatus() {
      return status;
   }

   public void setStatus(String status) {
      this.status = status;
   }

   public LocalDateTime getDateTime() {
      return dateTime;
   }

   public void setDateTime(LocalDateTime dateTime) {
      this.dateTime = dateTime;
   }

   public String getChangeStatus() {
      return changeStatus;
   }

   public void setChangeStatus(String changeStatus) {
      this.changeStatus = changeStatus;
   }

   public LocalDateTime getChangeDateTime() {
      return changeDateTime;
   }

   public void setChangeDateTime(LocalDateTime changeDateTime) {
      this.changeDateTime = changeDateTime;
   }

   public Double getIntervalTime() {
      return intervalTime;
   }

   public void setIntervalTime(Double intervalTime) {
      this.intervalTime = intervalTime;
   }

   public String getCreateUser() {
      return createUser;
   }

   public void setCreateUser(String createUser) {
      this.createUser = createUser;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getModifyUser() {
      return modifyUser;
   }

   public void setModifyUser(String modifyUser) {
      this.modifyUser = modifyUser;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

public static final String HANDLE = "HANDLE";

public static final String SITE = "SITE";

public static final String RESRCE = "RESRCE";

public static final String STATUS = "STATUS";

public static final String DATE_TIME = "DATE_TIME";

public static final String CHANGE_STATUS = "CHANGE_STATUS";

public static final String CHANGE_DATE_TIME = "CHANGE_DATE_TIME";

public static final String INTERVAL_TIME = "INTERVAL_TIME";

public static final String CREATE_USER = "CREATE_USER";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String MODIFY_USER = "MODIFY_USER";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "ResourceStatusReceive{" +
         "handle = " + handle +
         ", site = " + site +
         ", resrce = " + resrce +
         ", status = " + status +
         ", dateTime = " + dateTime +
         ", changeStatus = " + changeStatus +
         ", changeDateTime = " + changeDateTime +
         ", intervalTime = " + intervalTime +
         ", createUser = " + createUser +
         ", createdDateTime = " + createdDateTime +
         ", modifyUser = " + modifyUser +
         ", modifiedDateTime = " + modifiedDateTime +
         "}";
   }
}